# FoundationClasses
TKMath
TopLoc

# TopLoc_MapOfLocation Class Reference

`#include <TopLoc_MapOfLocation.hxx>`

Inheritance diagram for TopLoc_MapOfLocation:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopLoc_MapOfLocation (const Standard_Integer NbBuckets=1)
Standard_EXPORT TopLoc_MapOfLocation & | Assign (const TopLoc_MapOfLocation &Other)
TopLoc_MapOfLocation & | operator= (const TopLoc_MapOfLocation &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TopLoc_MapOfLocation ()
Standard_EXPORT Standard_Boolean | Add (const TopLoc_Location &aKey)
Standard_EXPORT Standard_Boolean | Contains (const TopLoc_Location &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const TopLoc_Location &aKey)

## Private Member Functions

Standard_EXPORT | TopLoc_MapOfLocation (const TopLoc_MapOfLocation &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TopLoc_MapOfLocation::TopLoc_MapOfLocation | ( | const Standard_Integer | NbBuckets = `1` | ) |

TopLoc_MapOfLocation::~TopLoc_MapOfLocation | ( |  | ) | `[inline]`

Standard_EXPORT TopLoc_MapOfLocation::TopLoc_MapOfLocation | ( | const TopLoc_MapOfLocation & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TopLoc_MapOfLocation::Add | ( | const TopLoc_Location & | aKey | ) |

Standard_EXPORT TopLoc_MapOfLocation& TopLoc_MapOfLocation::Assign | ( | const TopLoc_MapOfLocation & | Other | ) |

Standard_EXPORT void TopLoc_MapOfLocation::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TopLoc_MapOfLocation::Contains | ( | const TopLoc_Location & | aKey | ) | const

void TopLoc_MapOfLocation::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TopLoc_MapOfLocation::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TopLoc_MapOfLocation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

TopLoc_MapOfLocation& TopLoc_MapOfLocation::operator= | ( | const TopLoc_MapOfLocation & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TopLoc_MapOfLocation::Remove | ( | const TopLoc_Location & | aKey | ) |

Standard_EXPORT void TopLoc_MapOfLocation::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TopLoc_MapOfLocation.hxx